package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName("tb_payment")
public class Payment {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("商品订单编号")
    private Long orderId;

    @ApiModelProperty("支付系统交易编号")
    private String transactionId;

    @ApiModelProperty("交易类型")
    private String tradeType;

    @ApiModelProperty("交易状态")
    private String tradeState;

    @ApiModelProperty("支付金额(分)")
    private Integer totalFee;

    @ApiModelProperty("商品订单编号")
    private String successTime;

    @ApiModelProperty("通知参数")
    private String content;

    private Date createDate;

    private Date updateDate;
}