package com.fzm.portal;

import com.fzm.common.entity.dto.OrderProcessMsg;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.scheduling.support.SimpleTriggerContext;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author tangtuo
 * @date 2022/1/21 16:28
 */
@Slf4j
@RestController
@RequestMapping("/test")
public class TestController {

    @Resource
    private RabbitTemplate rabbitTemplate;

    @GetMapping("/send")
    public String send(){
        log.info("发送消息: {}",123);
        rabbitTemplate.convertAndSend("nft-exchange", "nft.publish", 123);
        return "SUCCESS";
    }

}
